For Developers

Get School Year

This model is part of the v2.5 API update which is currently in beta and therefore subject to change.

GET https://ed.link/api/v2/graph/school_years/:school_year_id

Retrieve information about a specific School Year.

Request Parameters

ParameterLocationTypeDescription
school_year_idurlstringThe UUID of the desired School Year.

Sample Request

axios.get('https://ed.link/api/v2/graph/school_years/00000000-0000-0000-0000-000000000000', {
    headers: {
        authorization: `Bearer ${integration_access_token}`
    }
});

Sample Response

{
    "$data": {
        "id": "00000000-0000-0000-0000-000000000000",
        "created_date": "2021-07-05T20:32:40.454Z",
        "updated_date": "2021-07-12T21:44:23.126Z",
        "school_id": "00000000-0000-0000-0000-000000000001",
        "name": "2020-2021",
        "number": 2020,
        "start_date": "2020-08-06T00:00:00.000Z",
        "end_date": "2021-05-25T00:00:00.000Z"
    },
    "$request": "00000000-0000-0000-0000-000000000000"
}